---
import BaseHead from '../components/BaseHead.astro';
import {SITE_TITLE, SITE_DESCRIPTION} from '../consts';
import BaseLayout from "../layouts/BaseLayout.astro";
import {getCollection} from "astro:content";
import NextEvents from "../pattern/NextEvents.astro";
import NewestNews from "../pattern/NewestNews.astro";

const events = (await getCollection('konzert')).filter(event => {
  // Nur zukünftige Events
  return event.data?.date > new Date();
});

let nextEvent = events.filter(event => event.data?.date > new Date()).sort((a, b) => a.data?.date - b.data?.date)[0];
---

<!DOCTYPE html>
<html lang="en">
<head>
  <BaseHead title={SITE_TITLE} description={SITE_DESCRIPTION}/>
  <style>
    .timebox-wrapper {
      display: flex;
      gap: 1rem;
    }

    .timebox-wrapper .timebox {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }

    .timebox-wrapper .timebox > div:first-child {
      font-size: 3rem;
    }
    *[data-moved], *[data-cancel] {
      filter: opacity(.8);
    }
    .banner {
      transform: rotate(7deg);
    }
  </style>
</head>
<body>
<BaseLayout>
  <main>
    <div class="relative isolate">
      <svg
        class="absolute inset-x-0 top-0 -z-10 h-[64rem] w-full stroke-gray-200 [mask-image:radial-gradient(32rem_32rem_at_center,white,transparent)]"
        aria-hidden="true">
        <defs>
          <pattern id="1f932ae7-37de-4c0a-a8b0-a6e3b4d44b84" width="200" height="200" x="50%" y="-1"
                   patternUnits="userSpaceOnUse">
            <path d="M.5 200V.5H200" fill="none"/>
          </pattern>
        </defs>
        <svg x="50%" y="-1" class="overflow-visible fill-gray-50">
          <path d="M-200 0h201v201h-201Z M600 0h201v201h-201Z M-400 600h201v201h-201Z M200 800h201v201h-201Z"
                stroke-width="0"/>
        </svg>
        <rect width="100%" height="100%" stroke-width="0" fill="url(#1f932ae7-37de-4c0a-a8b0-a6e3b4d44b84)"/>
      </svg>
      <div class="absolute left-1/2 right-0 top-0 -z-10 -ml-24 transform-gpu overflow-hidden blur-3xl lg:ml-24 xl:ml-48"
           aria-hidden="true">
        <div class="aspect-[801/1036] w-[50.0625rem] bg-gradient-to-tr from-[#eabf8f] to-[#842d44] opacity-30"
             style="clip-path: polygon(63.1% 29.5%, 100% 17.1%, 76.6% 3%, 48.4% 0%, 44.6% 4.7%, 54.5% 25.3%, 59.8% 49%, 55.2% 57.8%, 44.4% 57.2%, 27.8% 47.9%, 35.1% 81.5%, 0% 97.7%, 39.2% 100%, 35.2% 81.4%, 97.2% 52.8%, 63.1% 29.5%)"></div>
      </div>
      <div class="overflow-hidden">
        <div class="mx-auto max-w-7xl px-6 pb-32 pt-36 sm:pt-60 lg:px-8 lg:pt-32">
          <div class="mx-auto max-w-2xl gap-x-14 lg:mx-0 lg:flex lg:max-w-none lg:items-center">
            <div class="w-full max-w-xl lg:shrink-0 xl:max-w-2xl">
              <h1 class="text-4xl font-bold tracking-tight text-gray-900 sm:text-6xl">Musik hautnah mit dem Musikverein
                Obermeitingen</h1>
              <p class="relative mt-6 text-lg leading-8 text-gray-600 sm:max-w-md lg:max-w-none">Wir veranstalten
                Jährlich unsere Konzerte & Events. Als nächstes kommt folgendes Event:</p>
              <p class="relative mt-6 text-2xl sm:text-4xl font-bold leading-8 text-gray-800 sm:max-w-md lg:max-w-none">
                {nextEvent?.data.title ?? 'Noch keine weiteren Events bekannt'}</p>
              {nextEvent && (
                <script is:inline>
                  document.addEventListener('DOMContentLoaded', () => {
                    const date = new Date(document.querySelector('.timebox-wrapper').dataset?.date);
                    // create a function how to update the time every second
                    const update = () => {
                      const now = new Date();
                      const diff = date - now;
                      const abgelaufen = diff < 0;
                      const tage = Math.floor(diff / (1000 * 60 * 60 * 24));
                      const stunden = Math.floor((diff / (1000 * 60 * 60)) % 24);
                      const minuten = Math.floor((diff / 1000 / 60) % 60);
                      const sekunden = Math.floor((diff / 1000) % 60);
                      if (abgelaufen) {
                        document.getElementById('wrapper').innerHTML = 'Schön wars, leider ist es schon vorbei! Unten findest du den Bericht und Bilder.';
                        return;
                      }
                      document.getElementById('tage').innerText = tage;
                      document.getElementById('stunden').innerText = stunden;
                      document.getElementById('minuten').innerText = minuten;
                      document.getElementById('sekunden').innerText = sekunden;
                    }

                    // update the time every second
                    update();
                    setInterval(update, 1000);
                  });
                  </script>
                <div class="timebox-wrapper relative mt-6 text-lg leading-8 text-gray-600 sm:max-w-md lg:max-w-none"
                     id="wrapper" data-date={nextEvent?.data.date}>
                  {nextEvent?.data.abgesagt && (
                    <div class="absolute banner top-1/2 w-full text-center z-10 px-3.5 py-2.5 bg-rose-600 text-white rounded-full shadow-2xl transform">Abgesagt</div>
                  )}
                  {nextEvent?.data.verschoben && (
                    <div class="absolute banner top-1/2 w-full text-center z-10 px-3.5 py-2.5 bg-copper-400 text-white rounded-full shadow-2xl transform">Verschoben</div>
                  )}
                  <div class="overflow-hidden w-32 rounded-lg bg-slate-50 shadow">
                    <div class="px-4 py-5 sm:p-6 timebox">
                      <div id="tage">0</div>
                      <div>Tage</div>
                    </div>
                  </div>
                  <div class="overflow-hidden w-32 rounded-lg bg-slate-50 shadow">
                    <div class="px-4 py-5 sm:p-6 timebox">
                      <div id="stunden">0</div>
                      <div>Stunden</div>
                    </div>
                  </div>
                  <div class="overflow-hidden w-32 rounded-lg bg-slate-50 shadow">
                    <div class="px-4 py-5 sm:p-6 timebox">
                      <div id="minuten">0</div>
                      <div>Minuten</div>
                    </div>
                  </div>
                  <div class="overflow-hidden w-32 rounded-lg bg-slate-50 shadow">
                    <div class="px-4 py-5 sm:p-6 timebox">
                      <div id="sekunden">0</div>
                      <div>Sekunden</div>
                    </div>
                  </div>
                </div>
                <div class="mt-10 flex items-center gap-x-6">
                  <a href={`/konzerte/${nextEvent?.slug}`}
                     class="rounded-md bg-rose-800 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-rose-600 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-rose-600">Zum
                    Event</a>
                </div>
                )}
                </div>
                <div class="mt-14 flex justify-end gap-8 sm:justify-start sm:pl-10 lg:pl-0">
                  <div class="mr-auto w-full flex-none space-y-8 sm:mr-0 sm:pt-6 lg:pt-12">
                    <div class="relative">
                      <img src={nextEvent?.data.heroImage ?? 'konzerte/pause.jpg'}
                           alt={nextEvent?.data.title ?? 'Pause'}  data-cancel={nextEvent?.data.abgesagt} data-moved={nextEvent?.data.verschoben}
                           class="aspect-[2/3] w-full rounded-xl bg-gray-900/5 object-cover shadow-lg">
                      <div
                        class="pointer-events-none absolute inset-0 rounded-xl ring-1 ring-inset ring-gray-900/10"></div>
                    </div>
                  </div>
                </div>
                </div>
                </div>
                </div>
                </div>
                <div class="bg-white py-24 sm:py-32">
                  <div class="relative isolate">
                    <div class="mx-auto max-w-7xl sm:px-6 lg:px-8">
                      <div
                        class="mx-auto flex max-w-2xl flex-col gap-16 bg-gray-500/5 px-6 py-16 ring-1 ring-gray-500/10 sm:rounded-3xl sm:p-8 lg:mx-0 lg:max-w-none lg:flex-row lg:items-center lg:py-20 xl:gap-x-20 xl:px-20">
                        <img
                          class="h-96 w-full flex-none rounded-2xl object-cover shadow-xl lg:aspect-square lg:h-auto lg:max-w-sm"
                          src="/mvo_2016_gruppenbild.jpg" alt="">
                        <div class="w-full flex-auto">
                          <h2 class="text-3xl font-bold tracking-tight text-slate-800 sm:text-4xl">Werde jetzt
                            Mitglied</h2>
                          <p class="mt-6 text-lg leading-8 text-gray-700">Tritt unserem Musikverein bei. Als aktives
                            oder passives
                            Mitglied. Unterstütze uns, tolle Musik zu machen.</p>
                          <ul role="list"
                              class="mt-10 grid grid-cols-1 gap-x-8 gap-y-3 text-base leading-7 text-gray-700 sm:grid-cols-2">
                            <li class="flex gap-x-3">
                              <svg class="h-7 w-5 flex-none" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                <path fill-rule="evenodd"
                                      d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z"
                                      clip-rule="evenodd"/>
                              </svg>
                              Tolle Musik
                            </li>
                            <li class="flex gap-x-3">
                              <svg class="h-7 w-5 flex-none" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                <path fill-rule="evenodd"
                                      d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z"
                                      clip-rule="evenodd"/>
                              </svg>
                              Jährliche Konzerte
                            </li>
                            <li class="flex gap-x-3">
                              <svg class="h-7 w-5 flex-none" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                <path fill-rule="evenodd"
                                      d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z"
                                      clip-rule="evenodd"/>
                              </svg>
                              Gemeinschaft
                            </li>
                            <li class="flex gap-x-3">
                              <svg class="h-7 w-5 flex-none" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                <path fill-rule="evenodd"
                                      d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z"
                                      clip-rule="evenodd"/>
                              </svg>
                              Gemeinsame Ausflüge & Events
                            </li>
                            <li class="flex gap-x-3">
                              <svg class="h-7 w-5 flex-none" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                <path fill-rule="evenodd"
                                      d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z"
                                      clip-rule="evenodd"/>
                              </svg>
                              Wir unterstützen andere
                            </li>
                            <li class="flex gap-x-3">
                              <svg class="h-7 w-5 flex-none" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                <path fill-rule="evenodd"
                                      d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.857-9.809a.75.75 0 00-1.214-.882l-3.483 4.79-1.88-1.88a.75.75 0 10-1.06 1.061l2.5 2.5a.75.75 0 001.137-.089l4-5.5z"
                                      clip-rule="evenodd"/>
                              </svg>
                              Wir sind ein Team
                            </li>
                          </ul>
                          <div class="mt-10 flex gap-1">
                            <a href="/verein/mitglied_werden"
                               class="rounded-md bg-rose-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-rose-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-rose-600">Jetzt
                              Mitglied werden <span aria-hidden="true">&rarr;</span></a>
                            <a href="/verein/musiker"
                               class="rounded-md bg-transparent px-3.5 py-2.5 text-sm font-semibold text-rose-700 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-rose-600">Unsere
                              Musiker</a>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div
                      class="absolute inset-x-0 -top-16 -z-10 flex transform-gpu justify-center overflow-hidden blur-3xl"
                      aria-hidden="true">
                      <div
                        class="aspect-[1318/752] w-[82.375rem] flex-none bg-gradient-to-r from-[#80caff] to-[#4f46e5] opacity-25"
                        style="clip-path: polygon(73.6% 51.7%, 91.7% 11.8%, 100% 46.4%, 97.4% 82.2%, 92.5% 84.9%, 75.7% 64%, 55.3% 47.5%, 46.5% 49.4%, 45% 62.9%, 50.3% 87.2%, 21.3% 64.1%, 0.1% 100%, 5.4% 51.1%, 21.4% 63.9%, 58.9% 0.2%, 73.6% 51.7%)"></div>
                    </div>
                  </div>
                </div>
                <div class="bg-rose-100">
                  <div class="mx-auto max-w-7xl px-6 py-24 sm:py-32 lg:flex lg:items-center lg:justify-between lg:px-8">
                    <h2 class="text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">Musizieren von Klein
                      auf!<br>Hier könnt ihr bei uns einsteigen.</h2>
                    <div class="mt-10 flex items-center gap-x-6 lg:mt-0 lg:flex-shrink-0">
                      <a href="/verein/jugend"
                         class="rounded-md bg-rose-600 px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-rose-500 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-rose-600">Zur
                        Jugend <span aria-hidden="true">&rarr;</span></a>
                    </div>
                  </div>
                </div>

                <NextEvents/>
                <NewestNews limited="true"/>


                </main>
                </BaseLayout>
                </body>
                </html>
